@echo off

set currentpath=%~dp0
cd /d %currentpath%
echo Installing All Drivers 

echo %cd%

echo ****************
echo Install IO driver
set foldername=%currentpath%PlatformDrv\Drivers\I2C
set infname=iaioi2ce.inf
cd %foldername% 
pnputil -i -a %infname%
IF EXIST %foldername%\iaioi2c.inf (
    set infname=iaioi2c.inf
    pnputil -i -a %infname%
)
cd %currentpath%

echo **************
echo Install GPIO driver
set foldername=%currentpath%PlatformDrv\Drivers\GPIO
set infname=iaiogpioe.inf
cd %foldername% 
pnputil -i -a %infname%
IF EXIST %foldername%\iaiogpio.inf (
    set infname=iaiogpio.inf
    pnputil -i -a %infname%
)
cd %currentpath%

echo **************
echo Install UART driver
set foldername=%currentpath%PlatformDrv\Drivers\UART
set infname=iaiouart.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install GPIO Virtual driver
set foldername=%currentpath%PlatformDrv\Drivers\GPIOVirtual
set infname=iaiogpiovirtual.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install MBI driver
set foldername=%currentpath%PlatformDrv\Drivers\MBI
set infname=MBI.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install PMIC driver
set foldername=%currentpath%PlatformDrv\Drivers\PMIC
set infname=pmic.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install BM driver
set foldername=%currentpath%PlatformDrv\Drivers\BM
set infname=IntelBatteryManagement.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install DPTF driver
set foldername=%currentpath%PlatformDrv\Drivers\DPTF
set infname=Dptf.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install TXEI driver
set foldername=%currentpath%PlatformDrv\Drivers\TXEI
set infname=TXEI.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install graphic driver .... 
echo 
set foldername=%currentpath%PlatformDrv\Drivers\Graphics
set infname=igdlh.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install Audio driver
set foldername=%currentpath%PlatformDrv\Drivers\audio
cd %foldername% 
pnputil -i -a rtii2sac.inf
pnputil -i -a isstrtc.inf
cd %currentpath%

echo Common drivers are installed !
pause
@echo *****************************************
@echo install GOCLEVER specialized Driver.
@echo *****************************************

echo **************
echo Install Sensor driver
set foldername=%currentpath%OtherINFdrv\sensor
cd %foldername% 
pnputil -i -a HIDFusion.inf
pnputil -i -a CM3232x.inf
cd %currentpath%

echo **************
echo Install  AP6330 Bluetooth driver
set foldername=%currentpath%OtherINFdrv\AP6330BT
set infname=BtwSerialBus.inf
cd %foldername% 
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install  AP6330 WiFi driver
set foldername=%currentpath%OtherINFdrv\AP6330WIFI
cd %foldername% 
set infname=bcmdhd64.inf
pnputil -i -a %infname%
set infname=bcmfn2.inf
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install G-sensor driver
set foldername=%currentpath%OtherExeDrv\G-sensor
If EXIST %foldername% (
  cd %foldername% 
    kxaccel-1.0.13.20-win8-x86.exe
    regedit /s Gsensor_Reversal.reg
  	%~dp0devcon.exe disable "ACPI\SMO8500"
	%~dp0devcon.exe enable "ACPI\SMO8500"
  cd %currentpath%
)

echo **************
echo Install Camera, HM2056 and OV5648 Camera driver
set foldername=%currentpath%OtherINFdrv\iacamera
cd %foldername% 
set infname=camera.inf
pnputil -i -a %infname%
cd %currentpath%

set foldername=%currentpath%OtherINFdrv\Camera\hm2056
cd %foldername% 
set infname=hm2056.inf
pnputil -i -a %infname%
cd %currentpath%

set foldername=%currentpath%OtherINFdrv\Camera\ov5648
cd %foldername% 
set infname=ov5648.inf
pnputil -i -a %infname%
cd %currentpath%

set foldername=%currentpath%OtherINFdrv\Camera\ov2680
cd %foldername% 
set infname=ov2680.inf
pnputil -i -a %infname%
cd %currentpath%

echo Install GYRO driver
set foldername=%currentpath%OtherINFdrv\GYRO_MPU6050
cd %foldername% 
set infname=INVN_MotionApps.inf
pnputil -i -a %infname%
cd %currentpath%


echo Install BMA250E G-sensor driver
set foldername=%currentpath%OtherINFdrv\BMA250E_G-sensor
cd %foldername% 
set infname=BoschAccelerometer.inf
pnputil -i -a %infname%
cd %currentpath%

echo **************
echo Install RTL8723 Bluetooth driver
set foldername=%currentpath%OtherExeDrv\RT8723BT\RTBT_Uart_Driver\Win10x86
cd %foldername% 
pnputil -i -a rtkuart.inf
cd ..\..
install.exe /i /q
cd %currentpath%


echo **************
echo Install Goodix Touch driver
set foldername=%currentpath%OtherExeDrv\GoodixTouch\
cd %foldername% 
copy TouchSetting*.gt c:\windows\inf\
cd package
pnputil -i -a GoodixTouchDriver.inf
cd ..
rem call install.bat
cd %currentpath%

echo **************
echo Install Bar-Code Scanner NLS_VCP_Driver
set foldername=%currentpath%OtherExeDrv\Scanner_EM2039
cd %foldername% 
pnputil -i -a NLS_VCP_Driver.inf
cd %currentpath%

echo **************
echo Install MU739 Debug Port Driver
set foldername=%currentpath%OtherInfDrv\MU739_Port
cd %foldername% 
pnputil -i -a FcSerial.inf
cd %currentpath%

echo **************
echo Install MU739 GNSS Driver
set foldername=%currentpath%OtherInfDrv\MU739_GNSS
cd %foldername% 
rem pnputil -i -a mod_gnss.inf
cd %currentpath%

echo **************
echo Install BCM4752 GPS driver
set foldername=%currentpath%OtherExeDrv\BCM4752GPS
cd %foldername% 
cd BcmGnssBuss
pnputil -i -a bcmgnssbus.inf
cd ..\BcmGnssLocationSensor
pnputil -i -a bcmgnsslocationsensor.inf
cd ..
Setupx86.exe
cd %currentpath%


echo **************
echo Install HuaWei ME936 GPS driver
set foldername=%currentpath%OtherExeDrv\ME936GPS\GNSS-Driver\X86
cd %foldername% 
pnputil -i -a mod_gnss.inf
cd ..\..\
Setup.exe
cd %currentpath%

echo **************
cd %currentpath%

echo All drivers for GOCLEVER Insignia 800 Win/3G are installed !

pause
